drop table if exists countries cascade;
create table countries(
	country_id char(2),
	country_name varchar( 64 ),
	constraint countries_country_id_pkey primary key( country_id )
);

comment on table countries is 'storage of countries';
comment on column countries.country_id is 'unique id of table (iso 3166-1-alpha-2 code)';
comment on column countries.country_name is 'name of the country';

comment on constraint countries_country_id_pkey on countries is 'unique constraint of table';

INSERT INTO countries(country_id,country_name) VALUES('af','Afghanistan');
INSERT INTO countries(country_id,country_name) VALUES('ax','Aland Islands');
INSERT INTO countries(country_id,country_name) VALUES('al','Albania');
INSERT INTO countries(country_id,country_name) VALUES('dz','Algeria');
INSERT INTO countries(country_id,country_name) VALUES('um','United States Minor Outlying Islands');
INSERT INTO countries(country_id,country_name) VALUES('us','United States');
INSERT INTO countries(country_id,country_name) VALUES('as','American Samoa');
INSERT INTO countries(country_id,country_name) VALUES('vi','Virgin Islands, U.S.');
INSERT INTO countries(country_id,country_name) VALUES('ad','Andorra');
INSERT INTO countries(country_id,country_name) VALUES('ao','Angola');
INSERT INTO countries(country_id,country_name) VALUES('ai','Anguilla');
INSERT INTO countries(country_id,country_name) VALUES('aq','Antarctica');
INSERT INTO countries(country_id,country_name) VALUES('ag','Antigua and Barbuda');
INSERT INTO countries(country_id,country_name) VALUES('ar','Argentina');
INSERT INTO countries(country_id,country_name) VALUES('aw','Aruba');
INSERT INTO countries(country_id,country_name) VALUES('au','Australia');
INSERT INTO countries(country_id,country_name) VALUES('at','Austria');
INSERT INTO countries(country_id,country_name) VALUES('az','Azerbaijan');
INSERT INTO countries(country_id,country_name) VALUES('bs','Bahamas');
INSERT INTO countries(country_id,country_name) VALUES('bh','Bahrain');
INSERT INTO countries(country_id,country_name) VALUES('bd','Bangladesh');
INSERT INTO countries(country_id,country_name) VALUES('bb','Barbados');
INSERT INTO countries(country_id,country_name) VALUES('by','Belarus');
INSERT INTO countries(country_id,country_name) VALUES('be','Belgium');
INSERT INTO countries(country_id,country_name) VALUES('bz','Belize');
INSERT INTO countries(country_id,country_name) VALUES('bj','Benin');
INSERT INTO countries(country_id,country_name) VALUES('bm','Bermuda');
INSERT INTO countries(country_id,country_name) VALUES('bt','Bhutan');
INSERT INTO countries(country_id,country_name) VALUES('gw','Guinea-Bissau');
INSERT INTO countries(country_id,country_name) VALUES('bo','Bolivia');
INSERT INTO countries(country_id,country_name) VALUES('ba','Bosnia and Herzegovina');
INSERT INTO countries(country_id,country_name) VALUES('bw','Botswana');
INSERT INTO countries(country_id,country_name) VALUES('bv','Bouvet Island');
INSERT INTO countries(country_id,country_name) VALUES('br','Brazil');
INSERT INTO countries(country_id,country_name) VALUES('io','British Indian Ocean Territory');
INSERT INTO countries(country_id,country_name) VALUES('vg','Virgin Islands, British');
INSERT INTO countries(country_id,country_name) VALUES('bn','Brunei Darussalam');
INSERT INTO countries(country_id,country_name) VALUES('bg','Bulgaria');
INSERT INTO countries(country_id,country_name) VALUES('bf','Burkina Faso');
INSERT INTO countries(country_id,country_name) VALUES('bi','Burundi');
INSERT INTO countries(country_id,country_name) VALUES('cl','Chile');
INSERT INTO countries(country_id,country_name) VALUES('cy','Cyprus');
INSERT INTO countries(country_id,country_name) VALUES('km','Comoros');
INSERT INTO countries(country_id,country_name) VALUES('ck','Cook Islands');
INSERT INTO countries(country_id,country_name) VALUES('cr','Costa Rica');
INSERT INTO countries(country_id,country_name) VALUES('td','Chad');
INSERT INTO countries(country_id,country_name) VALUES('cz','Czech Republic');
INSERT INTO countries(country_id,country_name) VALUES('dk','Denmark');
INSERT INTO countries(country_id,country_name) VALUES('za','South Africa');
INSERT INTO countries(country_id,country_name) VALUES('gs','South Georgia and the South Sandwich Islands');
INSERT INTO countries(country_id,country_name) VALUES('dm','Dominica');
INSERT INTO countries(country_id,country_name) VALUES('do','Dominican Republic');
INSERT INTO countries(country_id,country_name) VALUES('dj','Djibouti');
INSERT INTO countries(country_id,country_name) VALUES('ec','Ecuador');
INSERT INTO countries(country_id,country_name) VALUES('gq','Equatorial Guinea');
INSERT INTO countries(country_id,country_name) VALUES('ae','United Arab Emirates');
INSERT INTO countries(country_id,country_name) VALUES('eg','Egypt');
INSERT INTO countries(country_id,country_name) VALUES('ci','Côte d''Ivoire');
INSERT INTO countries(country_id,country_name) VALUES('sv','El Salvador');
INSERT INTO countries(country_id,country_name) VALUES('er','Eritrea');
INSERT INTO countries(country_id,country_name) VALUES('mp','Northern Mariana Islands');
INSERT INTO countries(country_id,country_name) VALUES('ee','Estonia');
INSERT INTO countries(country_id,country_name) VALUES('et','Ethiopia');
INSERT INTO countries(country_id,country_name) VALUES('fk','Falkland Islands (Malvinas)');
INSERT INTO countries(country_id,country_name) VALUES('fo','Faroe Islands');
INSERT INTO countries(country_id,country_name) VALUES('fj','Fiji');
INSERT INTO countries(country_id,country_name) VALUES('fi','Finland');
INSERT INTO countries(country_id,country_name) VALUES('tf','French Southern Territories');
INSERT INTO countries(country_id,country_name) VALUES('gf','French Guiana');
INSERT INTO countries(country_id,country_name) VALUES('fr','France');
INSERT INTO countries(country_id,country_name) VALUES('pf','French Polynesia');
INSERT INTO countries(country_id,country_name) VALUES('ph','Philippines');
INSERT INTO countries(country_id,country_name) VALUES('ga','Gabon');
INSERT INTO countries(country_id,country_name) VALUES('gm','Gambia');
INSERT INTO countries(country_id,country_name) VALUES('gh','Ghana');
INSERT INTO countries(country_id,country_name) VALUES('gi','Gibraltar');
INSERT INTO countries(country_id,country_name) VALUES('gr','Greece');
INSERT INTO countries(country_id,country_name) VALUES('gd','Grenada');
INSERT INTO countries(country_id,country_name) VALUES('gl','Greenland');
INSERT INTO countries(country_id,country_name) VALUES('ge','Georgia');
INSERT INTO countries(country_id,country_name) VALUES('gp','Guadeloupe');
INSERT INTO countries(country_id,country_name) VALUES('gu','Guam');
INSERT INTO countries(country_id,country_name) VALUES('gt','Guatemala');
INSERT INTO countries(country_id,country_name) VALUES('gn','Guinea');
INSERT INTO countries(country_id,country_name) VALUES('gy','Guyana');
INSERT INTO countries(country_id,country_name) VALUES('ht','Haiti');
INSERT INTO countries(country_id,country_name) VALUES('hm','Heard Island and McDonald Islands');
INSERT INTO countries(country_id,country_name) VALUES('an','Netherlands Antilles');
INSERT INTO countries(country_id,country_name) VALUES('nl','Netherlands');
INSERT INTO countries(country_id,country_name) VALUES('hn','Honduras');
INSERT INTO countries(country_id,country_name) VALUES('hk','Hong Kong');
INSERT INTO countries(country_id,country_name) VALUES('hr','Croatia');
INSERT INTO countries(country_id,country_name) VALUES('in','India');
INSERT INTO countries(country_id,country_name) VALUES('id','Indonesia');
INSERT INTO countries(country_id,country_name) VALUES('iq','Iraq');
INSERT INTO countries(country_id,country_name) VALUES('ir','Iran, Islamic Republic of');
INSERT INTO countries(country_id,country_name) VALUES('ie','Ireland');
INSERT INTO countries(country_id,country_name) VALUES('is','Iceland');
INSERT INTO countries(country_id,country_name) VALUES('il','Israel');
INSERT INTO countries(country_id,country_name) VALUES('jm','Jamaica');
INSERT INTO countries(country_id,country_name) VALUES('jp','Japan');
INSERT INTO countries(country_id,country_name) VALUES('ye','Yemen');
INSERT INTO countries(country_id,country_name) VALUES('jo','Jordan');
INSERT INTO countries(country_id,country_name) VALUES('ky','Cayman Islands');
INSERT INTO countries(country_id,country_name) VALUES('kh','Cambodia');
INSERT INTO countries(country_id,country_name) VALUES('cm','Cameroon');
INSERT INTO countries(country_id,country_name) VALUES('ca','Canada');
INSERT INTO countries(country_id,country_name) VALUES('cx','Christmas Island');
INSERT INTO countries(country_id,country_name) VALUES('qa','Qatar');
INSERT INTO countries(country_id,country_name) VALUES('kz','Kazakhstan');
INSERT INTO countries(country_id,country_name) VALUES('tl','Timor-Leste');
INSERT INTO countries(country_id,country_name) VALUES('ke','Kenya');
INSERT INTO countries(country_id,country_name) VALUES('cn','China');
INSERT INTO countries(country_id,country_name) VALUES('kg','Kyrgyzstan');
INSERT INTO countries(country_id,country_name) VALUES('ki','Kiribati');
INSERT INTO countries(country_id,country_name) VALUES('cc','Cocos (Keeling) Islands');
INSERT INTO countries(country_id,country_name) VALUES('co','Colombia');
INSERT INTO countries(country_id,country_name) VALUES('cd','Congo, the Democratic Republic of the');
INSERT INTO countries(country_id,country_name) VALUES('cg','Congo');
INSERT INTO countries(country_id,country_name) VALUES('kr','Korea, Republic of i.e., South Korea');
INSERT INTO countries(country_id,country_name) VALUES('kp','Korea, Democratic People''s Republic of i.e., North Korea');
INSERT INTO countries(country_id,country_name) VALUES('cf','Central African Republic');
INSERT INTO countries(country_id,country_name) VALUES('cu','Cuba');
INSERT INTO countries(country_id,country_name) VALUES('kw','Kuwait');
INSERT INTO countries(country_id,country_name) VALUES('la','Lao People''s Democratic Republic');
INSERT INTO countries(country_id,country_name) VALUES('pl','Poland');
INSERT INTO countries(country_id,country_name) VALUES('ls','Lesotho');
INSERT INTO countries(country_id,country_name) VALUES('lv','Latvia');
INSERT INTO countries(country_id,country_name) VALUES('lb','Lebanon');
INSERT INTO countries(country_id,country_name) VALUES('lr','Liberia');
INSERT INTO countries(country_id,country_name) VALUES('ly','Libyan Arab Jamahiriya');
INSERT INTO countries(country_id,country_name) VALUES('li','Liechtenstein');
INSERT INTO countries(country_id,country_name) VALUES('lt','Lithuania');
INSERT INTO countries(country_id,country_name) VALUES('lu','Luxembourg');
INSERT INTO countries(country_id,country_name) VALUES('mk','Macedonia');
INSERT INTO countries(country_id,country_name) VALUES('mg','Madagascar');
INSERT INTO countries(country_id,country_name) VALUES('hu','Hungary');
INSERT INTO countries(country_id,country_name) VALUES('mo','Macao');
INSERT INTO countries(country_id,country_name) VALUES('my','Malaysia');
INSERT INTO countries(country_id,country_name) VALUES('mw','Malawi');
INSERT INTO countries(country_id,country_name) VALUES('mv','Maldives');
INSERT INTO countries(country_id,country_name) VALUES('ml','Mali');
INSERT INTO countries(country_id,country_name) VALUES('mt','Malta');
INSERT INTO countries(country_id,country_name) VALUES('ma','Morocco');
INSERT INTO countries(country_id,country_name) VALUES('mh','Marshall Islands');
INSERT INTO countries(country_id,country_name) VALUES('mq','Martinique');
INSERT INTO countries(country_id,country_name) VALUES('mr','Mauritania');
INSERT INTO countries(country_id,country_name) VALUES('mu','Mauritius');
INSERT INTO countries(country_id,country_name) VALUES('yt','Mayotte');
INSERT INTO countries(country_id,country_name) VALUES('mx','Mexico');
INSERT INTO countries(country_id,country_name) VALUES('mm','Myanmar');
INSERT INTO countries(country_id,country_name) VALUES('fm','Micronesia, Federated States of');
INSERT INTO countries(country_id,country_name) VALUES('md','Moldova, Republic of');
INSERT INTO countries(country_id,country_name) VALUES('mc','Monaco');
INSERT INTO countries(country_id,country_name) VALUES('mn','Mongolia');
INSERT INTO countries(country_id,country_name) VALUES('ms','Montserrat');
INSERT INTO countries(country_id,country_name) VALUES('mz','Mozambique');
INSERT INTO countries(country_id,country_name) VALUES('gb','United Kingdom');
INSERT INTO countries(country_id,country_name) VALUES('na','Namibia');
INSERT INTO countries(country_id,country_name) VALUES('nr','Nauru');
INSERT INTO countries(country_id,country_name) VALUES('de','Germany');
INSERT INTO countries(country_id,country_name) VALUES('np','Nepal');
INSERT INTO countries(country_id,country_name) VALUES('ni','Nicaragua');
INSERT INTO countries(country_id,country_name) VALUES('ne','Niger');
INSERT INTO countries(country_id,country_name) VALUES('ng','Nigeria');
INSERT INTO countries(country_id,country_name) VALUES('nu','Niue');
INSERT INTO countries(country_id,country_name) VALUES('nf','Norfolk Island');
INSERT INTO countries(country_id,country_name) VALUES('no','Norway');
INSERT INTO countries(country_id,country_name) VALUES('eh','Western Sahara');
INSERT INTO countries(country_id,country_name) VALUES('it','Italy');
INSERT INTO countries(country_id,country_name) VALUES('om','Oman');
INSERT INTO countries(country_id,country_name) VALUES('ru','Russian Federation');
INSERT INTO countries(country_id,country_name) VALUES('am','Armenia');
INSERT INTO countries(country_id,country_name) VALUES('pk','Pakistan');
INSERT INTO countries(country_id,country_name) VALUES('pw','Palau');
INSERT INTO countries(country_id,country_name) VALUES('ps','Palestinian Territory, Occupied');
INSERT INTO countries(country_id,country_name) VALUES('pa','Panama');
INSERT INTO countries(country_id,country_name) VALUES('pg','Papua New Guinea');
INSERT INTO countries(country_id,country_name) VALUES('py','Paraguay');
INSERT INTO countries(country_id,country_name) VALUES('pe','Peru');
INSERT INTO countries(country_id,country_name) VALUES('pn','Pitcairn');
INSERT INTO countries(country_id,country_name) VALUES('pt','Portugal');
INSERT INTO countries(country_id,country_name) VALUES('pr','Puerto Rico');
INSERT INTO countries(country_id,country_name) VALUES('re','Réunion');
INSERT INTO countries(country_id,country_name) VALUES('ro','Romania');
INSERT INTO countries(country_id,country_name) VALUES('rs','Serbia');
INSERT INTO countries(country_id,country_name) VALUES('rw','Rwanda');
INSERT INTO countries(country_id,country_name) VALUES('kn','Saint Kitts and Nevis');
INSERT INTO countries(country_id,country_name) VALUES('lc','Saint Lucia');
INSERT INTO countries(country_id,country_name) VALUES('pm','Saint Pierre and Miquelon');
INSERT INTO countries(country_id,country_name) VALUES('vc','Saint Vincent and the Grenadines');
INSERT INTO countries(country_id,country_name) VALUES('sb','Solomon Islands');
INSERT INTO countries(country_id,country_name) VALUES('sm','San Marino');
INSERT INTO countries(country_id,country_name) VALUES('st','Sao Tome and Principe');
INSERT INTO countries(country_id,country_name) VALUES('sc','Seychelles');
INSERT INTO countries(country_id,country_name) VALUES('sl','Sierra Leone');
INSERT INTO countries(country_id,country_name) VALUES('es','Spain');
INSERT INTO countries(country_id,country_name) VALUES('lk','Sri Lanka');
INSERT INTO countries(country_id,country_name) VALUES('sr','Suriname');
INSERT INTO countries(country_id,country_name) VALUES('ch','Switzerland');
INSERT INTO countries(country_id,country_name) VALUES('sj','Svalbard and Jan Mayen');
INSERT INTO countries(country_id,country_name) VALUES('se','Sweden');
INSERT INTO countries(country_id,country_name) VALUES('ws','Samoa');
INSERT INTO countries(country_id,country_name) VALUES('sa','Saudi Arabia');
INSERT INTO countries(country_id,country_name) VALUES('sn','Senegal');
INSERT INTO countries(country_id,country_name) VALUES('sh','Saint Helena');
INSERT INTO countries(country_id,country_name) VALUES('sg','Singapore');
INSERT INTO countries(country_id,country_name) VALUES('sy','Syrian Arab Republic');
INSERT INTO countries(country_id,country_name) VALUES('sk','Slovakia');
INSERT INTO countries(country_id,country_name) VALUES('si','Slovenia');
INSERT INTO countries(country_id,country_name) VALUES('so','Somalia');
INSERT INTO countries(country_id,country_name) VALUES('sd','Sudan');
INSERT INTO countries(country_id,country_name) VALUES('sz','Swaziland');
INSERT INTO countries(country_id,country_name) VALUES('tj','Tajikistan');
INSERT INTO countries(country_id,country_name) VALUES('tw','Taiwan, Province of China');
INSERT INTO countries(country_id,country_name) VALUES('tz','Tanzania, United Republic of');
INSERT INTO countries(country_id,country_name) VALUES('th','Thailand');
INSERT INTO countries(country_id,country_name) VALUES('tg','Togo');
INSERT INTO countries(country_id,country_name) VALUES('tk','Tokelau');
INSERT INTO countries(country_id,country_name) VALUES('to','Tonga');
INSERT INTO countries(country_id,country_name) VALUES('tr','Turkey');
INSERT INTO countries(country_id,country_name) VALUES('tt','Trinidad and Tobago');
INSERT INTO countries(country_id,country_name) VALUES('tn','Tunisia');
INSERT INTO countries(country_id,country_name) VALUES('tc','Turks and Caicos Islands');
INSERT INTO countries(country_id,country_name) VALUES('tv','Tuvalu');
INSERT INTO countries(country_id,country_name) VALUES('tm','Turkmenistan');
INSERT INTO countries(country_id,country_name) VALUES('ug','Uganda');
INSERT INTO countries(country_id,country_name) VALUES('nc','New Caledonia');
INSERT INTO countries(country_id,country_name) VALUES('nz','New Zealand');
INSERT INTO countries(country_id,country_name) VALUES('ua','Ukraine');
INSERT INTO countries(country_id,country_name) VALUES('uy','Uruguay');
INSERT INTO countries(country_id,country_name) VALUES('uz','Uzbekistan');
INSERT INTO countries(country_id,country_name) VALUES('vu','Vanuatu');
INSERT INTO countries(country_id,country_name) VALUES('va','Holy See (Vatican City State)');
INSERT INTO countries(country_id,country_name) VALUES('ve','Venezuela');
INSERT INTO countries(country_id,country_name) VALUES('vn','Viet Nam');
INSERT INTO countries(country_id,country_name) VALUES('wf','Wallis and Futuna');
INSERT INTO countries(country_id,country_name) VALUES('zm','Zambia');
INSERT INTO countries(country_id,country_name) VALUES('zw','Zimbabwe');
INSERT INTO countries(country_id,country_name) VALUES('cv','Cape Verde');

